%global commit 50cf95c41e9bc3546ca6eda2f5725c6b377349ca
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:		python-django-horizon-gbp
Version:	2014.2
Release:	0.1.%{shortcommit}git%{?dist}
Summary:	Group Based Policy add-on for OpenStack Dashboard

License:	ASL 2.0
URL:		https://launchpad.net/group-based-policy-ui

# The source tarball is created as follows:
#  git clone git://git.openstack.org/stackforge/group-based-policy-ui
#  cd group-based-policy-ui
#  git checkout %%{commit}
#  python setup.py sdist
Source0:	group-based-policy-ui-%{shortcommit}.tar.gz

BuildArch:	noarch

BuildRequires:	python2-devel
BuildRequires:	python-pbr
BuildRequires:	python-setuptools

Requires:	python-django-horizon >= 2014.2
Requires:	python-django-horizon < 2014.3
Requires:	python-gbpclient


%description
OpenStack Dashboard UI add-on for Group Based Policy (GBP), which
provides declarative abstractions for achieving scalable intent-based
infrastructure automation. GBP complements the OpenStack networking
model with the notion of policies that can be applied between groups
of network endpoints.


%prep
%setup -qn group-based-policy-ui-%{shortcommit}

find gbpui -name \*.py -exec sed -i '/\/usr\/bin\/env python/{d;q}' {} +

rm -f requirements.txt


%build
%{__python2} setup.py build


%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}

# Remove unused files
rm -rf %{buildroot}%{python2_sitelib}/gbpui/horizon
rm -rf %{buildroot}%{python2_sitelib}/gbpui/openstack_dashboard


%files
%doc LICENSE
%doc README.rst
%{python2_sitelib}/gbpui
%{python2_sitelib}/group_based_policy_ui*.egg-info


%changelog
* Tue Dec 16 2014 Robert Kukura <rk@theep.net> - 2014.2-0.1.50cf95cgit
- Initial package for Fedora
